### Method

# FwupdPlugin Context get_runtime_version

since: 1.9.10

#### Declaration [src]

    const gchar*
    fu_context_get_runtime_version (
      FuContext* self,
      const gchar* component_id
    )

#### Description [src]

Sets a runtime version of a specific dependency.

Available since: 1.9.10

#### Parameters

`component_id`

  Type: `const gchar*`

  An AppStream component id, e.g. `org.gnome.Software`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A version string, e.g. `1.2.3`, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.